# Uses of Interface
org.apache.sling.testing.resourceresolver.MockFindResourcesHandler

## Uses of MockFindResourcesHandler in org.apache.sling.testing.resourceresolver

Methods in org.apache.sling.testing.resourceresolver that return types with arguments of type MockFindResourcesHandler
Modifier and Type
Method
Description
`@NotNull List<MockFindResourcesHandler>`
MockResourceResolverFactoryOptions.`getFindResourcesHandlers()`
Methods in org.apache.sling.testing.resourceresolver with parameters of type MockFindResourcesHandler
Modifier and Type
Method
Description
`static void`
MockFindQueryResources.`addFindResourceHandler(@NotNull org.apache.sling.api.resource.ResourceResolver resourceResolver, @NotNull MockFindResourcesHandler handler)`
Adds a handler that can provide a mocked find resources result.
`void`
MockResourceResolver.`addFindResourceHandler(@NotNull MockFindResourcesHandler handler)`
Deprecated.
Please use `MockFindQueryResources.addFindResourceHandler(ResourceResolver, MockFindResourcesHandler)`
`void`
MockResourceResolverFactoryOptions.`addFindResourceHandler(@NotNull MockFindResourcesHandler handler)`